Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management
Class JBossNode

    java.lang.Object
      |
      +--org.jboss.management.JBossJ2EEManagedObject
            |
            +--org.jboss.management.JBossNode

All Implemented Interfaces:
  management.J2EEManagedObject, management.Node, java.io.Serializable

public synchronized class JBossNode
extends JBossJ2EEManagedObject
implements management.Node

See Also:
  Serialized Form

Constructor Summary
`JBossNode(java.lang.String, java.lang.String, java.lang.String, management.JVM[], management.IpAddress[])`

Method Summary
`java.lang.String` | `getHardwareType()`
`management.IpAddress[]` | `getIpAddresses()`
`management.JVM[]` | `getJavaVMs()`
`java.lang.String` | `getOsType()`
`void` | `setHardwareType(java.lang.String)`
`void` | `setIpAddresses(management.IpAddress[])`
`void` | `setJavaVMs(management.JVM[])`
`void` | `setOsType(java.lang.String)`
`java.lang.String` | `toString()`

Methods inherited from class org.jboss.management.JBossJ2EEManagedObject
`getName, hasStatistics, isStateManageable, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface management.J2EEManagedObject
`getName, hasStatistics, isStateManageable, setName`

Constructor Detail

### JBossNode

    public JBossNode(java.lang.String,
                     java.lang.String,
                     java.lang.String,
                     management.JVM[],
                     management.IpAddress[])

Method Detail

### getHardwareType

    public java.lang.String getHardwareType()

  Specified by:
    `getHardwareType` in interface `management.Node`

### getIpAddresses

    public management.IpAddress[] getIpAddresses()

  Specified by:
    `getIpAddresses` in interface `management.Node`

### getJavaVMs

    public management.JVM[] getJavaVMs()

  Specified by:
    `getJavaVMs` in interface `management.Node`

### getOsType

    public java.lang.String getOsType()

  Specified by:
    `getOsType` in interface `management.Node`

### setHardwareType

    public void setHardwareType(java.lang.String)

  Specified by:
    `setHardwareType` in interface `management.Node`

### setIpAddresses

    public void setIpAddresses(management.IpAddress[])

  Specified by:
    `setIpAddresses` in interface `management.Node`

### setJavaVMs

    public void setJavaVMs(management.JVM[])

  Specified by:
    `setJavaVMs` in interface `management.Node`

### setOsType

    public void setOsType(java.lang.String)

  Specified by:
    `setOsType` in interface `management.Node`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.